
import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class HealthyGuy here.
 * 
 * @author Christoffer Trønnes 
 * @version 1.0
 */
public class HealthyGuy extends Actor
{

    private Counter counter;
    private Bar bar;

    public HealthyGuy(Counter pointCounter, Bar healthBar)
    {
        counter = pointCounter; //Saves the reference to Counter.class in the variable counter
        bar = healthBar;
    }

    /**
     * Checks if the keys needed to control the character is being pressed
     * and turns/move if so.
     */
    public void move()
    {
        if (Greenfoot.isKeyDown("up") )
        {
            move(4); //Move forward at the speed of 4
        }
        if (Greenfoot.isKeyDown("left") )
        {
            turn(-5); //Turns left
        }
        if (Greenfoot.isKeyDown("right") )
        {
            turn(5); //Turns right
        }
    }

    /**
     * Tells the class to remove the object 
     */
    public void eat()
    {
        Actor hamburger;
        hamburger = getOneObjectAtOffset(0, 0, Hamburger.class); //Tells the class about the other class
        Actor berry;
        berry = getOneObjectAtOffset(0, 0, Strawberry.class); //Tells the class about the other class
        if (hamburger != null)
        {
            World world;
            world = getWorld();
            world.removeObject(hamburger);
            bar.add(-1);
        }
        if (berry != null)
        {
            World world;
            world = getWorld();
            world.removeObject(berry);
            counter.add(5);
        }
    }

    //public void checkWorld()
    //{
    //    getWorld();
    //}
    
    /**
     * Checks if we have won the game :D
     */
    public void gameOver()
    {
        if (counter.getValue() >= 60)
        {
            //if (checkWorld() == "Foodyplace")
            //{
                Greenfoot.setWorld(new Verden());
            //}
            //else
            //{
            //    Greenfoot.stop();
            //}
        }
        if (counter.getValue() < 0)
        {
            Greenfoot.stop();
        }
    }

    /**
     * Act - do whatever the HealthyGuy wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        move();
        eat();
        gameOver();
    }    
}
